spring:
  application:
    name: amms
  jackson:
    time-zone: GMT+8
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://localhost:3306/mms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=GMT%2B8&allowPublicKeyRetrieval=true
    username: root
    password: Ding1998@
  hikari:
    max-lifetime: 3600000 # 最大生命周期
    maximum-pool-size: 30 # 最大连接数
    minimum-idle: 10 # 最小连接数
    idle-timeout: 60000 # 空闲连接超时时间
    connection-timeout: 60000 # 连接超时时间
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 500MB
      # 设置总上传的文件大小
      max-request-size: 1000MB
  data:
    redis:
      host: 127.0.0.1
      port: 6379
      password:
      database: 1
      lettuce:
        pool:
          # 连接池最大连接数（使用负值表示没有限制）: 8
          max-active: 8
          # 连接池最大阻塞等待时间（使用负值表示没有限制）默认为-1
          max-wait: -1
          # 连接池中的最大空闲连接 默认为8
          max-idle: 8
          # 连接池中的最小空闲连接 默认为0
          min-idle: 0
server:
  port: 8848
  servlet:
    context-path: /amms
logging:
  level:
    root: info
    sql: debug
    web: info
  file:
    name: /Users/dmz/Work/Project/BS/2026/LogFiles/amms/log/app.log
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 120
# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.amms.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# 文件上传参数
files:
  path: /Users/dmz/Work/Project/BS/2026/Files/ammsFiles
